| API Documentation |  |

- MAIN PAGE
- NAMESPACES
- CLASSES

Public Member Functions | List of all members
nkDebug::TestObserver Class Reference

Base for observer classes allowing to get notifications from a test run. More...

Inheritance diagram for nkDebug::TestObserver:

## Public Member Functions
| TestObserver () noexcept
virtual | ~TestObserver ()
virtual void | onRunLaunch (const TestRunParameters &params)
virtual void | onRunEnd ()
virtual void | onClassLaunch (const TestClassObserverInformation &info)
virtual void | onClassBypass (const TestClassObserverInformation &info)
virtual void | onClassEnd (const TestClassObserverInformation &info)
virtual void | onTestLaunch (const TestFunctionObserverInformation &info)
virtual void | onTestBypass (const TestFunctionObserverInformation &info)
virtual void | onTestSuccess (const TestFunctionObserverInformation &info)
virtual void | onTestFailure (const TestFunctionObserverInformation &info)

## Detailed Description

Base for observer classes allowing to get notifications from a test run.

To get notifications during a test run, it is possible to implement this class. The implemented instance can then be passed as a parameter during a test run.

## Constructor & Destructor Documentation

## ◆ TestObserver()

nkDebug::TestObserver::TestObserver | ( |  | ) |
| noexcept

Default constructor.

## ◆ ~TestObserver()

virtual nkDebug::TestObserver::~TestObserver | ( |  | ) |
| virtual

Destructor.

## Member Function Documentation

## ◆ onRunLaunch()

virtual void nkDebug::TestObserver::onRunLaunch | ( | const TestRunParameters & | params | ) |
| virtual

Called when a run is about to start.

Parameters

  params | The test parameters passed for the run.

Reimplemented in nkDebug::DefaultTestObserver.

## ◆ onRunEnd()

virtual void nkDebug::TestObserver::onRunEnd | ( |  | ) |
| virtual

Called when a run is fully done.

Reimplemented in nkDebug::DefaultTestObserver.

## ◆ onClassLaunch()

virtual void nkDebug::TestObserver::onClassLaunch | ( | const TestClassObserverInformation & | info | ) |
| virtual

Called when a TestClass is being started for a test run.

Parameters

  info | Current information about the run.

Reimplemented in nkDebug::DefaultTestObserver.

## ◆ onClassBypass()

virtual void nkDebug::TestObserver::onClassBypass | ( | const TestClassObserverInformation & | info | ) |
| virtual

Called when a TestClass is being bypassed.

Parameters

  info | Current information about the run.

Reimplemented in nkDebug::DefaultTestObserver.

## ◆ onClassEnd()

virtual void nkDebug::TestObserver::onClassEnd | ( | const TestClassObserverInformation & | info | ) |
| virtual

Called when a TestClass has finished running.

Parameters

  info | Current information about the run.

Reimplemented in nkDebug::DefaultTestObserver.

## ◆ onTestLaunch()

virtual void nkDebug::TestObserver::onTestLaunch | ( | const TestFunctionObserverInformation & | info | ) |
| virtual

Called when a TestClass' test function is being launched.

Parameters

  info | Current information about the run.

Reimplemented in nkDebug::DefaultTestObserver.

## ◆ onTestBypass()

virtual void nkDebug::TestObserver::onTestBypass | ( | const TestFunctionObserverInformation & | info | ) |
| virtual

Called when a TestClass's function is bypassed.

Parameters

  info | Current information about the run.

Reimplemented in nkDebug::DefaultTestObserver.

## ◆ onTestSuccess()

virtual void nkDebug::TestObserver::onTestSuccess | ( | const TestFunctionObserverInformation & | info | ) |
| virtual

Called when a TestClass' test function succeeds.

Parameters

  info | Current information about the run.

Reimplemented in nkDebug::DefaultTestObserver.

## ◆ onTestFailure()

virtual void nkDebug::TestObserver::onTestFailure | ( | const TestFunctionObserverInformation & | info | ) |
| virtual

Called when a TestClass' test function fails.

Parameters

  info | Current information about the run.

Reimplemented in nkDebug::DefaultTestObserver.

The documentation for this class was generated from the following file:

- Documentation/Headers/NilkinsDebug/Testing/Observers/TestObserver.h